#ifndef _VGUI_IMAGE_H
#define _VGUI_IMAGE_H

/* image.h */
#include "gui.h"

namespace VGUI
{
	class Image : public Widget
	{
	public:
		Image() {}
		Image( Widget* w );
		~Image();
		void Draw();
		void Draw( float opacity );

		string GetFilename() { return filename; }
		void SetFilename( string new_filename ) { filename = new_filename; Load(); }
	private:
		void Load();
		string filename;
		TEXTURE_HANDLE img_tex;
	};
}


#endif // _VGUI_IMAGE_H
